Package org.eclipse.m2m.atl.emftvm.util

## Interface ModuleResolver

All Known Implementing Classes:
  `ClassModuleResolver`, `DefaultModuleResolver`

    public interface ModuleResolver

Resolves modules by name.

### Method Summary

All Methods Instance Methods Abstract Methods
`Module` `resolveModule​(java.lang.String name)` Resolves the module with the given

### Method Detail

#### resolveModule

    Module resolveModule​(java.lang.String name)
                  throws ModuleNotFoundException

Resolves the module with the given

    name

.

Parameters:
  `name` - the module name
Returns:
  the module with the given name
Throws:
  `ModuleNotFoundException`